Subject: Re: help regarding ip address assignment in kernel module

From: Stephen Hemminger <[email-masked]>
Date: Mon, 04 Dec 2006 07:35:46 -0800

prajakta choudhari wrote:
> Hi all:
> I am absolutely new to kernel module programming. I have to modify the
> hostap -code such that whenever a network device is registered, it is
> assigned an ip address.
Do it in userspace. Listen for the netlink event that occurs when network
device is registered and send a netlink message to assign an IP address.